Vote on a user

Vote on (or unmatch with) a user. Returns the user’s remaining likes for the day.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
Defaults to 123456789

The user being voted on.

string
required
Defaults to like

The user’s vote. (“like” to like, “note” to like and leave a comment, “skip” to skip, and “block” to unmatch)

json
Defaults to { "url": "https://example.com/example_photo.jpg", "boundingBox": { "bottomRight": { "x": 1, "y": 1 }, "topLeft": { "x": 0, "y": 0 } }, "cdnID": "123456789", "promptID": "123456789" }

The liked photo. You must pass along the entire photo object (url, boundingBox, cdnID, and promptID) you received from the /users endpoint.

json
Defaults to { "id": "123456789", "type": "text", "position": 0, "text": "This is an example prompt.", "response": "This is an example response." }

The liked prompt. You must pass along the entire prompt object (id, type, position, text, and response) you received from the /users endpoint.

string
Defaults to This is an example comment.

The user’s comment on the photo or prompt.

string
required
Defaults to potential

Where the user is voting on this. (“potential” for potentials or “like” for likes)

Headers
string
required
Defaults to 123456789

The session ID provided by the /verify endpoint.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json